%global		gem_name		recaptcha
%global		rubyabi		1.9.1

Summary:	Helpers for the reCAPTCHA API
Name:		rubygem-%{gem_name}
Version:	0.3.1
Release:	4%{?dist}
Group:		Development/Languages
License:	MIT
URL:		http://rubygems.org/gems/%{gem_name}
Source0:	http://rubygems.org/downloads/%{gem_name}-%{version}.gem

Requires:	ruby(abi) = %{rubyabi}
Requires: ruby(rubygems)
Requires:	rubygem(mocha)
Requires:	rubygem(activesupport)
BuildRequires: rubygems-devel
BuildArch:	noarch
Provides:	rubygem(%{gem_name}) = %{version}

%description
This plug-in adds helpers for the reCAPTCHA API.
In your views you can use the recaptcha_tags method
to embed the needed JavaScript, and you can validate
in your controllers with verify_recaptcha.

Beforehand you need to configure Recaptcha with your
custom private and public key. You may find detailed
examples below.
Exceptions will be raised if you call these methods
and the keys can’t be found.


%package	doc
Summary:	Documentation for %{name}
Requires:	%{name} = %{version}-%{release}

%description	doc
This package contains the documentation files for
%{name}.


%prep

%build

%install
mkdir -p %{buildroot}%{gem_dir}
gem install --local --install-dir %{buildroot}%{gem_dir} \
		--force --rdoc %{SOURCE0}

%check
## even rake test fails. disabiling it so far.
#RUBYOPT="rubygems I%%{buildroot}%%{gem_libdir} Itest" testrb %%{buildroot}%%{gem_instdir}/test/*_test.rb

%files
%defattr(-, root, root, -)
%dir %{gem_instdir}
%doc %{gem_instdir}/[A-Z]*
%exclude %{gem_instdir}/Rakefile
%exclude %{gem_instdir}/%{gem_name}.gemspec
%exclude %{gem_instdir}/tasks
%exclude %{gem_instdir}/test
%{gem_instdir}/[a-l]*
%{gem_cache}
%{gem_spec}


%files doc
%defattr(-, root, root, -)
%{gem_instdir}/Rakefile
%{gem_instdir}/%{gem_name}.gemspec
%{gem_instdir}/tasks
%{gem_instdir}/test
%{gem_docdir}


%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Feb 03 2012 Vít Ondruch <vondruch@redhat.com> - 0.3.1-3
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Apr 19 2011 Akira TAGOH <tagoh@localhost> - 0.3.1-1
- Initial package
